Bug 805234 - [abrt] kernel: WARNING: at /builddir/build/BUILD/kernel-3.2.fc16/compat-wireless-3.3-rc1-2/drivers/net/wireless/brcm80211/brcmsmac/main.c:2712 brcms_c_enable_mac+0x1a4/0x1c0 [brcmsmac]()
[abrt] kernel: WARNING: at /builddir/build/BUILD/kernel-3.2.fc16/compat-wirel...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John Greene
Fedora Extras Quality Assurance
abrt_hash:e4434a0d121e4d848e86de3db5a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 13:16 EDT by German Topkarov
Modified: 2012-11-14 09:57 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 09:57:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: smolt_data (3.34 KB, text/plain)
2012-03-20 13:16 EDT, German Topkarov
no flags Details

  None (edit)
Description German Topkarov 2012-03-20 13:16:41 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.10-3.fc16.i686 root=/dev/mapper/vg_inspiron-lv_root ro rd.lvm.lv=vg_inspiron/lv_swap rd.md=0 rd.dm=0 rd.lvm.lv=vg_inspiron/lv_root KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=bg_BG.UTF-8
kernel:         3.2.10-3.fc16.i686
reason:         WARNING: at /builddir/build/BUILD/kernel-3.2.fc16/compat-wireless-3.3-rc1-2/drivers/net/wireless/brcm80211/brcmsmac/main.c:2712 brcms_c_enable_mac+0x1a4/0x1c0 [brcmsmac]()
time:           20.03.2012 (вт) 16,38,17 EET

smolt_data:     Binary file, 3416 bytes

backtrace:
:WARNING: at /builddir/build/BUILD/kernel-3.2.fc16/compat-wireless-3.3-rc1-2/drivers/net/wireless/brcm80211/brcmsmac/main.c:2712 brcms_c_enable_mac+0x1a4/0x1c0 [brcmsmac]()
:Hardware name: Inspiron N7010
:Modules linked in: lockd be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 fcoe libfcoe cxgb3i libcxgbi cxgb3 libfc mdio scsi_transport_fc scsi_tgt ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr 8021q garp stp llc iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack binfmt_misc arc4 btusb bluetooth uvcvideo videodev media brcmsmac mac80211 brcmutil joydev cfg80211 crc8 cordic dell_wmi sparse_keymap snd_hda_codec_hdmi dell_laptop rfkill dcdbas snd_hda_codec_realtek microcode i2c_i801 snd_hda_intel snd_hda_codec snd_hwdep iTCO_wdt iTCO_vendor_support snd_seq snd_seq_device snd_pcm bcma atl1c snd_timer snd soundcore snd_page_alloc sunrpc uinput wmi video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 55, comm: kworker/u:4 Tainted: G        W    3.2.10-3.fc16.i686 #1
:Call Trace:
: [<c091abb7>] ? printk+0x2d/0x2f
: [<c044f322>] warn_slowpath_common+0x72/0xa0
: [<f95c8e44>] ? brcms_c_enable_mac+0x1a4/0x1c0 [brcmsmac]
: [<f95c8e44>] ? brcms_c_enable_mac+0x1a4/0x1c0 [brcmsmac]
: [<c044f372>] warn_slowpath_null+0x22/0x30
: [<f95c8e44>] brcms_c_enable_mac+0x1a4/0x1c0 [brcmsmac]
: [<f95cbad5>] brcms_c_set_channel+0xe5/0x120 [brcmsmac]
: [<f95c2bf2>] brcms_ops_config+0xe2/0x1d0 [brcmsmac]
: [<c0436e66>] ? hrtick_update+0x36/0x40
: [<f94d53bf>] ieee80211_hw_config+0xff/0x210 [mac80211]
: [<f94daef9>] ieee80211_scan_work+0x1c9/0x570 [mac80211]
: [<c0921741>] ? __schedule+0x391/0x8b0
: [<c0467e0a>] process_one_work+0xfa/0x390
: [<c0923dfd>] ? reschedule_interrupt+0x31/0x38
: [<f94dad30>] ? ieee80211_scan_rx+0x1b0/0x1b0 [mac80211]
: [<c0468b01>] worker_thread+0x121/0x2d0
: [<c04689e0>] ? manage_workers+0x1f0/0x1f0
: [<c046cc9d>] kthread+0x6d/0x80
: [<c046cc30>] ? kthread_worker_fn+0x140/0x140
: [<c092b0fe>] kernel_thread_helper+0x6/0x10
Comment 1 German Topkarov 2012-03-20 13:16:45 EDT
Created attachment 571481 [details]
File: smolt_data
Comment 2 Dave Jones 2012-03-22 12:41:33 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 12:46:16 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 12:55:34 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Ankur Sinha (FranciscoD) 2012-08-12 22:09:07 EDT
Hi Dave,

I experienced this today on 3.5.1-1:
Linux ankur.pc 3.5.1-1.fc17.x86_64 #1 SMP Thu Aug 9 17:50:43 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


[ 1508.994904] ------------[ cut here ]------------
[ 1508.994944] WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:7968 brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]()
[ 1508.994946] Hardware name: Vostro 3400
[ 1508.994947] Modules linked in: fuse ip6table_filter ip6_tables ebtable_nat lockd ebtables sunrpc nfnetlink_log nfnetlink be2iscsi iscsi_boot_sysfs ipt_MASQUERADE iptable_nat nf_nat xt_state nf_conntrack_ipv4 xt_CHECKSUM nf_defrag_ipv4 iptable_mangle bridge bnx2i xt_conntrack cnic uio cxgb4i cxgb4 nf_conntrack stp llc cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm rfcomm ib_cm ib_sa ib_mad ib_core bnep iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi tpm_bios btusb bluetooth snd_hda_codec_hdmi snd_hda_codec_idt uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_hda_intel snd_hda_codec snd_hwdep snd_pcm arc4 snd_page_alloc lpc_ich mei coretemp mfd_core snd_timer brcmsmac cordic brcmutil snd soundcore r8169 mac80211 cfg80211 rfkill dell_wmi intel_ips i2c_i801 mii sparse_keymap microcode bcma dell_laptop dcdbas vhost_net tun macvtap macvlan kvm_intel binfmt_misc kvm uinput crc32c_intel ghash_clmulni_intel nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
[ 1508.995032] Pid: 7685, comm: kworker/u:0 Not tainted 3.5.1-1.fc17.x86_64 #1
[ 1508.995033] Call Trace:
[ 1508.995043]  [<ffffffff810584bf>] warn_slowpath_common+0x7f/0xc0
[ 1508.995048]  [<ffffffff8105851a>] warn_slowpath_null+0x1a/0x20
[ 1508.995062]  [<ffffffffa0369129>] brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]
[ 1508.995072]  [<ffffffffa035b69b>] brcms_ops_flush+0x3b/0x60 [brcmsmac]
[ 1508.995093]  [<ffffffffa02cd82d>] ieee80211_scan_work+0x34d/0x5e0 [mac80211]
[ 1508.995098]  [<ffffffff81074409>] process_one_work+0x129/0x400
[ 1508.995113]  [<ffffffffa02cd4e0>] ? ieee80211_run_deferred_scan+0x80/0x80 [mac80211]
[ 1508.995118]  [<ffffffff81075f46>] worker_thread+0x126/0x2e0
[ 1508.995121]  [<ffffffff81075e20>] ? manage_workers.isra.26+0x1f0/0x1f0
[ 1508.995125]  [<ffffffff8107b4c3>] kthread+0x93/0xa0
[ 1508.995132]  [<ffffffff816148e4>] kernel_thread_helper+0x4/0x10
[ 1508.995136]  [<ffffffff8107b430>] ? flush_kthread_worker+0x80/0x80
[ 1508.995139]  [<ffffffff816148e0>] ? gs_change+0x13/0x13
[ 1508.995141] ---[ end trace 212ada2105f7be31 ]---
[ 1508.996742] ieee80211 phy0: brcms_c_ampdu_dotxstatus_complete: Pkt tx suppressed, illegal channel possibly 9
[ 2136.109344] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2139.434053] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2141.102180] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2141.657145] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2141.658070] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2144.426882] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2146.095001] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2149.419661] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[root@ankur ~]#

Is it the same bug, or should I file another one please?

Thanks,
Ankur
Comment 6 Josh Boyer 2012-09-04 13:39:29 EDT
(In reply to comment #5)
> Hi Dave,
> 
> I experienced this today on 3.5.1-1:
> Linux ankur.pc 3.5.1-1.fc17.x86_64 #1 SMP Thu Aug 9 17:50:43 UTC 2012 x86_64
> x86_64 x86_64 GNU/Linux
> 
> 
> [ 1508.994904] ------------[ cut here ]------------
> [ 1508.994944] WARNING: at
> drivers/net/wireless/brcm80211/brcmsmac/main.c:7968
> brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]()
> [ 1508.994946] Hardware name: Vostro 3400
> [ 1508.994947] Modules linked in: fuse ip6table_filter ip6_tables
> ebtable_nat lockd ebtables sunrpc nfnetlink_log nfnetlink be2iscsi
> iscsi_boot_sysfs ipt_MASQUERADE iptable_nat nf_nat xt_state
> nf_conntrack_ipv4 xt_CHECKSUM nf_defrag_ipv4 iptable_mangle bridge bnx2i
> xt_conntrack cnic uio cxgb4i cxgb4 nf_conntrack stp llc cxgb3i cxgb3 mdio
> libcxgbi ib_iser rdma_cm ib_addr iw_cm rfcomm ib_cm ib_sa ib_mad ib_core
> bnep iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi tpm_bios btusb
> bluetooth snd_hda_codec_hdmi snd_hda_codec_idt uvcvideo videobuf2_vmalloc
> videobuf2_memops videobuf2_core videodev media snd_hda_intel snd_hda_codec
> snd_hwdep snd_pcm arc4 snd_page_alloc lpc_ich mei coretemp mfd_core
> snd_timer brcmsmac cordic brcmutil snd soundcore r8169 mac80211 cfg80211
> rfkill dell_wmi intel_ips i2c_i801 mii sparse_keymap microcode bcma
> dell_laptop dcdbas vhost_net tun macvtap macvlan kvm_intel binfmt_misc kvm
> uinput crc32c_intel ghash_clmulni_intel nouveau mxm_wmi wmi video
> i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
> [ 1508.995032] Pid: 7685, comm: kworker/u:0 Not tainted 3.5.1-1.fc17.x86_64
> #1
> [ 1508.995033] Call Trace:
> [ 1508.995043]  [<ffffffff810584bf>] warn_slowpath_common+0x7f/0xc0
> [ 1508.995048]  [<ffffffff8105851a>] warn_slowpath_null+0x1a/0x20
> [ 1508.995062]  [<ffffffffa0369129>]
> brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]
> [ 1508.995072]  [<ffffffffa035b69b>] brcms_ops_flush+0x3b/0x60 [brcmsmac]
> [ 1508.995093]  [<ffffffffa02cd82d>] ieee80211_scan_work+0x34d/0x5e0
> [mac80211]
> [ 1508.995098]  [<ffffffff81074409>] process_one_work+0x129/0x400
> [ 1508.995113]  [<ffffffffa02cd4e0>] ? ieee80211_run_deferred_scan+0x80/0x80
> [mac80211]
> [ 1508.995118]  [<ffffffff81075f46>] worker_thread+0x126/0x2e0
> [ 1508.995121]  [<ffffffff81075e20>] ? manage_workers.isra.26+0x1f0/0x1f0
> [ 1508.995125]  [<ffffffff8107b4c3>] kthread+0x93/0xa0
> [ 1508.995132]  [<ffffffff816148e4>] kernel_thread_helper+0x4/0x10
> [ 1508.995136]  [<ffffffff8107b430>] ? flush_kthread_worker+0x80/0x80
> [ 1508.995139]  [<ffffffff816148e0>] ? gs_change+0x13/0x13
> [ 1508.995141] ---[ end trace 212ada2105f7be31 ]---
> [ 1508.996742] ieee80211 phy0: brcms_c_ampdu_dotxstatus_complete: Pkt tx
> suppressed, illegal channel possibly 9
> [ 2136.109344] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec
> == 4
> [ 2139.434053] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec
> == 4
> [ 2141.102180] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec
> == 4
> [ 2141.657145] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec
> == 4
> [ 2141.658070] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec
> == 4
> [ 2144.426882] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec
> == 4
> [ 2146.095001] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec
> == 4
> [ 2149.419661] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec
> == 4
> [root@ankur ~]#
> 
> Is it the same bug, or should I file another one please?
> 
> Thanks,
> Ankur

That is a different bug.  Can you please open a new one against F17?
Comment 7 Ankur Sinha (FranciscoD) 2012-09-04 19:57:18 EDT
Hi Josh,

Found existing bug reports:

https://bugzilla.redhat.com/show_bug.cgi?id=799168

https://bugzilla.redhat.com/show_bug.cgi?id=787649

Thanks,
Ankur
Comment 8 brcm80211 driver developers 2012-09-14 15:13:41 EDT
Got triggered by assignee change. Previously, I thought this issue was related to bug 787649 and 799168, but the original stack trace in the description is different from those. Here the wifi core is suspended to change the channel and upon resuming the wifi core an faulty condition is detected.

Without details like kernel log or at least some steps lwhich resulted in this issue, there is no chance to reproduce it over here.
Comment 9 Dave Jones 2012-10-23 11:30:12 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 10 Justin M. Forbes 2012-11-14 09:57:19 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.